/*top-menu-css start*/
*,
*:before,
*:after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    /*font-family: 'SF Pro Display', SF Pro Icons, Helvetica Neue, Helvetica, Arial, sans-serif;*/
}

#top-menu-section {
    text-align: center;
}

#top-menu-section a {
    font-size: 12px;
    font-family: "Lato", sans-serif;
    text-decoration: none;
    color: #a0a0a0;
}

.pk-site-title {
    font-size: 30px !important;
    padding: 6px 16px !important;
}

.pk-site-logo img {
    height: 90px;
    width: auto;
}

.pk-site-title:hover {
    color: #f2f2f2;
}

#header-section {
    margin: auto;
    display: flex;
    width: 100%;
    height: 60px;
}

.paper-maker-topnav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    background-color: white;
}

.paper-maker-topnav a {
    text-align: center;
    font-size: 17px;
    font-family: "Lato", sans-serif;
    position: relative;
    text-decoration: none;
    color: #a0a0a0;
    margin: 0 5px;
    letter-spacing: 0.05em;
    padding: 0 10px;
}

.paper-maker-topnav a:hover {
    color: black;
}

.paper-maker-topnav a:not(:first-child):after {
    content: "";
    background-color: #ff3c78;
    height: 3px;
    position: absolute;
    bottom: -10px;
    left: 0;
    width: 0;
    transition: 0.5s;
}

.paper-maker-topnav a:not(:first-child):hover:after {
    width: 100%;
}

@media screen and (max-width: 708px) {
    .paper-maker-topnav {
        width: 100%;
    }

    .paper-maker-topnav {
        display: flex;
        width: 100%;
        margin: auto;
        padding-left: 12px;
    }

    .paper-maker-topnav a {
        padding: 0;
        letter-spacing: 0;
    }
}

@media screen and (max-width: 623px) {
    .paper-maker-topnav a {
        padding-left: 0;
        font-size: 14px;
    }
}

@media screen and (max-width: 545px) {
    .paper-maker-topnav a {
        font-size: 12px;
        color: black;
    }

    .paper-maker-topnav .generate-test span,
    .paper-maker-topnav .saved-paper span {
        display: none;
    }

    .paper-maker-topnav a {
        margin: 0;
        padding: 0 4px;
    }

    .paper-maker-topnav {
        padding-left: 0;
    }
}

.paper-maker-footer {
    background-color: #333;
    color: #f2f2f2;
    padding: 16px;
}

/*select all style*/
#Select-All-Chapters, #Select-All-Topics {
    display: inline-block;
}

#primary {
    min-height: 440px;
}

#tm-main-content input[type="radio"] {
    display: none;
}

/*loader*/
#footer-section .bg-overlay {
    background: rgb(66 64 64 / 46%);
    z-index: 2222;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#footer-section .loader {
    border: 10px solid #000;
    border-radius: 50%;
    border-top: 10px solid #ddd;
    width: 70px;
    height: 70px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

/* Safari */
@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

#filterSubject {
    padding: 5px;
    width: 100%;
    background-color: #fff;
}

.lbl {
    width: 125px;
    margin-top: 5px;
}

#tm-main-tabs .active {
    background: #333;
    color: #fff;
}

#tm-main-tabs .tm-tabs:hover:not(.active) {
    background-color: #ddd;
    color: black;
}

#tm-main-tabs .tm-tabs {
    font-size: 21px;
    cursor: pointer;
    width: 20%;
    text-align: center;
}

#header-section {
    min-height: 57px;
}

#content-section {
    min-height: calc(100vh - 113px);
}

#footer-section {
    min-height: 56px;
}

.text-justify {
    text-align: justify;
    text-align-last: center;
}

/* Home page section-1 carousel styling starts here */
/* slide 1 */

#carouselExampleRide .carousel-inner .active .text {
    position: absolute;
    top: 48%;
    color: white;
}

.carousel-control-button {
    top: 60px;
    bottom: 32px;
}

#carouselExampleRide .carousel-inner .active .h1 {
    border-radius: 30px;
    width: 100%;
    font-size: 48px;
    background-color: rgba(32, 44, 69, 0.75);
    border-left: 6px solid #01a3de;
    border-right: 6px solid #01a3de;
}

#carouselExampleRide .carousel-inner .active .link {
    padding: 0 30px;
    margin-bottom: 10px;
}

#carouselExampleRide .carousel-inner .active .link a {
    background-color: rgba(0, 0, 0, 0.5);
    width: 268px;
    border: 1px solid rgba(0, 0, 0, 0.5);
    border-radius: 25px;
    text-align: center;
    font-weight: 400;
    font-size: 28px;
    text-decoration: none;
    color: white;
}

#carouselExampleRide .carousel-inner .carousel-item {
    max-height: 545px;
}

#carouselExampleRide .carousel-inner .active .test a:hover {
    color: black;
    font-weight: 500;
    font-size: 30px;
    background-color: #01a3de;
    border-color: #01a3de;
}

#carouselExampleRide .carousel-inner .active .text p {
    font-weight: 500;
    line-height: 28px;
    font-size: 16px;
    margin-left: 40px;
}

#carouselExampleRide .carousel-inner .active {
    position: relative;
    top: 48%;
    color: white;
}

/*.carousel-control-prev{*/
/*    top: 60px;*/
/*}*/

/* carousel styling ends here */

.g-col-6 img {
    width: 415px;
}

section .row .col-lg-6 figure img {
    max-width: 100%;
    height: auto;

}

.col-lg-6 figure img {
    min-width: 100%;
}

/* section-2 styling flip-card starts */
.flip-card {
    background-color: transparent;
    width: 320px;
    height: 320px;
    margin: auto;
    perspective: 1000px;
}

.flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: transform 0.6s;
    transform-style: preserve-3d;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
}

.flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
}

.flip-card-front,
.flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.flip-card-front {
    background-color: #bbb;
    color: black;
}

.flip-card-back {
    background-color: #2980b9;
    color: white;
    transform: rotateY(180deg);
}

@media (min-width: 1200px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl {
        max-width: 1272px;
    }
}

/* make responsive generate sub-menu */
@media (max-width: 600px) {
    #tm-main-tabs .tm-tabs {
        font-size: 14px;
    }

    #tm-main-tabs .tm-tabs.p-3 {
        padding: 10px 0 !important;
    }
}

/* make design page responsive */
#generate-content .mobile-view {
    display: none;
}

@media (max-width: 991px) {
    #generate-content .desktop-view {
        display: none
    }

    #generate-content .mobile-view {
        margin: 5px 0;
        display: block;
    }

    #generate-content .mobile-view + div {
        margin: 5px 0;
    }

    #generate-content .questionTopic {
        border: 1px solid #212529 !important;
        margin-top: 20px !important;
    }

    #generate-content .border-dark {
        border: none !important;
    }
}

/*make responsive home page*/

@media (max-width: 768px) {
    #carouselExampleRide .carousel-inner .active .h1 {
        font-size: 36px;
    }
}

@media (max-width: 600px) {
    #carouselExampleRide .carousel-inner .active .h1 {
        font-size: 24px;
    }

    .carousel-control-next, .carousel-control-prev {
        display: none;
    }

    #carouselExampleRide .carousel-inner .carousel-caption {
        right: 1%;
        left: 1%;
    }
}

@media (max-width: 992px) {
    .flip-card {
        width: 240px;
        height: 240px;
    }

    .flip-card-inner h3 {
        font-size: 16px
    }

    .flip-card-inner p {
        font-size: 14px
    }
}

@media (max-width: 768px) and (min-width: 576px) {
    .flip-card {
        width: 180px;
        height: 180px;
    }

    .flip-card-inner h3 {
        font-size: 14px;
        margin-top: 0 !important;
        margin-bottom: 0 !important;
    }

    .flip-card-inner p {
        font-size: 10px
    }
}

@media (max-width: 575px) {
    .flip-card {
        width: 280px;
        height: 280px;
    }
}

@media (min-width: 768px) {
    .section-3-a .container, .section-3-b .container {
        max-width: 100% !important;
    }
}
.container .row .contact-us-form {
    padding: 30px;
    border-radius: 1rem;
    box-shadow: 0 0.5rem 3rem 0 rgba(0, 0, 0, 0.2);
    transition: transform .2s;
}
